Go to the latest version of this document.

# ``twisted`.`positioning`.`ipositioning`.`IPositioningReceiver``

interface documentation

`class IPositioningReceiver(Interface): (source)`

Known implementations: `twisted.positioning.base.BasePositioningReceiver`

View In Hierarchy

An interface for positioning providers.

Method | `altitudeReceived` | Method called when an altitude is received.
Method | `beaconInformationReceived` | Method called when positioning beacon information is received.
Method | `climbReceived` | Method called when the climb is received.
Method | `headingReceived` | Method called when a true heading is received.
Method | `positionErrorReceived` | Method called when position error is received.
Method | `positionReceived` | Method called when a position is received.
Method | `speedReceived` | Method called when the speed is received.
Method | `timeReceived` | Method called when time and date information arrives.

def altitudeReceived(altitude): (source)

Method called when an altitude is received.

Parameters
altitude:`twisted.positioning.base.Altitude` | The altitude.

def beaconInformationReceived(beaconInformation): (source)

Method called when positioning beacon information is received.

Parameters
beaconInformation:`twisted.positioning.base.BeaconInformation` | The beacon information.

def climbReceived(climb): (source)

Method called when the climb is received.

Parameters
climb:`twisted.positioning.base.Climb` | The climb of the mobile object.

def headingReceived(heading): (source)

Method called when a true heading is received.

Parameters
heading:`twisted.positioning.base.Heading` | The heading.

def positionErrorReceived(positionError): (source)

Method called when position error is received.

Parameters
positionError:`twisted.positioning.base.PositionError` | The position error.

def positionReceived(latitude, longitude): (source)

Method called when a position is received.

Parameters
latitude:`twisted.positioning.base.Coordinate` | The latitude of the received position.
longitude:`twisted.positioning.base.Coordinate` | The longitude of the received position.

def speedReceived(speed): (source)

Method called when the speed is received.

Parameters
speed:`twisted.positioning.base.Speed` | The speed of a mobile object.

def timeReceived(time): (source)

Method called when time and date information arrives.

Parameters
time:`datetime.datetime` | The date and time (expressed in UTC unless otherwise specified).